"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_instrument_log_method = require("./method.js");
const ME_instrument_log_model = require("./model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  const _easycom_hs_popup_project2 = common_vendor.resolveComponent("hs-popup-project");
  const _easycom_hs_popup_building2 = common_vendor.resolveComponent("hs-popup-building");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_tabs2 + _easycom_up_search2 + _easycom_hs_popup_project2 + _easycom_hs_popup_building2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
const _easycom_up_search = () => "../../../node-modules/uview-plus/components/u-search/u-search.js";
const _easycom_hs_popup_project = () => "../../../components/hs-popup-project/hs-popup-project.js";
const _easycom_hs_popup_building = () => "../../../components/hs-popup-building/hs-popup-building.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_up_search + _easycom_hs_popup_project + _easycom_hs_popup_building + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [
      { label: "住户仪表", value: "HouseMeter" },
      { label: "公共仪表", value: "CommonMeter" }
    ];
    common_vendor.onLoad(() => {
      var _a;
      ME_instrument_log_model.useModel.formData.value.page = 1;
      ME_instrument_log_model.useModel.listData.value = [];
      (_a = ME_instrument_log_method.method) == null ? void 0 : _a.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return {
        a: common_vendor.o((_a = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _a.handleChangeTabs),
        b: common_vendor.p({
          list: tablist,
          current: (_c = (_b = common_vendor.unref(ME_instrument_log_model.useModel)) == null ? void 0 : _b.currentTabs) == null ? void 0 : _c.value
        }),
        c: common_vendor.o((_d = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _d.handleSearch),
        d: common_vendor.o(($event) => common_vendor.unref(ME_instrument_log_model.useModel).formData.value.keyword = $event),
        e: common_vendor.p({
          ["show-action"]: false,
          placeholder: "搜索房屋名称/仪表名称",
          modelValue: common_vendor.unref(ME_instrument_log_model.useModel).formData.value.keyword
        }),
        f: common_vendor.o((_e = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _e.handleChangeFilter),
        g: common_vendor.o((_f = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _f.handleChangeFilter),
        h: common_vendor.p({
          params: common_vendor.unref(ME_instrument_log_model.useModel).formData.value
        }),
        i: common_vendor.f((_h = (_g = common_vendor.unref(ME_instrument_log_model.useModel)) == null ? void 0 : _g.listData) == null ? void 0 : _h.value, (i, index, i0) => {
          var _a2, _b2, _c2, _d2, _e2, _f2, _g2;
          return common_vendor.e({
            a: ((_a2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _a2.usage_type) === "WaterMeter"
          }, ((_b2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _b2.usage_type) === "WaterMeter" ? {} : {}, {
            b: ((_c2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _c2.usage_type) === "ElectricMeter"
          }, ((_d2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _d2.usage_type) === "ElectricMeter" ? {} : {}, {
            c: common_vendor.f((_e2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _e2.house_meter_has_houses, (res, index2, i1) => {
              return {
                a: common_vendor.t(res == null ? void 0 : res.full_name),
                b: `house_${index2}`
              };
            }),
            d: common_vendor.t((_f2 = i == null ? void 0 : i.house_meter) == null ? void 0 : _f2.name),
            e: common_vendor.t(i == null ? void 0 : i.current_reading),
            f: common_vendor.t(i == null ? void 0 : i.reading_time),
            g: common_vendor.t((_g2 = i == null ? void 0 : i.company_employee) == null ? void 0 : _g2.name),
            h: `items_${index}`,
            i: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _a3.handleToDetail(i);
            }, `items_${index}`)
          });
        }),
        j: common_vendor.o((_i = common_vendor.unref(ME_instrument_log_method.method)) == null ? void 0 : _i.handleLoad),
        k: common_vendor.p({
          meta: (_k = (_j = common_vendor.unref(ME_instrument_log_model.useModel)) == null ? void 0 : _j.metaData) == null ? void 0 : _k.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/instrument/log/index.vue"]]);
wx.createPage(MiniProgramPage);
